<template>
  <div id="app">

    <!-- Navbar -->
    <nav class="navs">

      <div class="nav-menu">
        <ul class="nav-list">
          <li class="nav-item">
            <router-link class="nav-link" to="/">Home</router-link>
          </li>
          <li class="nav-item">
            <router-link class="nav-link" to="/warehousesTable">Warehouses</router-link>
          </li>
          <li class="nav-item">
            <router-link class="nav-link" to="">Services</router-link>
          </li>
          <li class="nav-item">
            <router-link class="nav-link" to="">contact</router-link>
          </li>
         <!-- <li class="list-menu"><a href="#" class="icon-link icon-1"><i data-feather="codepen"></i></a></li>
          <li class="list-menu"><a href="#" class="icon-link icon-2"><i data-feather="folder"></i></a></li>
          <li class="list-menu"><a href="#" class="icon-link icon-3"><i data-feather="monitor"></i></a></li>-->
        </ul>
      </div>
    </nav>



    <router-view/>
  </div>
</template>

<script>



export default {
  name: 'App',

}
</script>
<style>
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  margin-top: 30px;
}

@import url("https://fonts.googleapis.com/css?family=Bebas+Neue|Sulphur+Point:300,400,700&display=swap");

   * {
     box-sizing: border-box;
   }
body {
  font-family: sulfur;
  background-color: floralwhite;
  line-height: 1;
}
/*h1 {
  font-family: neue;
  font-size: 60px;
  font-weight: bold;
  -webkit-font-smoothing: antialiased;
}
h2 {
  font-size: 28px;
  font-weight: lighter;
  -webkit-font-smoothing: antialiased;
}*/

   .navs {
     position: fixed;
     top: 0;
     left: 0;
     z-index: 1;
     width: 10%;
     backface-visibility: hidden;
     height: 100%;
     background-color: #2c3e50;
   }

nav ul {
  list-style-type: none;
}

nav li {
  width: 100.2%;
  padding: 20px 0 0 0 ;
  color: white;
  border-radius: 2px;
  cursor: pointer;
  transition:
      width 1.2s,
      transform 1.2s;
}

nav li:hover {
  transition: 1.2s;
  width: 100px;
}

nav li:hover .nav-item {
  transition: 0.8s;
  transform: translateX(200px);
}

.nav-item {
  text-align: center;
  text-shadow: 0px 0px 8px rgba(150, 150, 150, 0.75);
}

a {
  text-decoration: none;
  color: white;
}



</style>